Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.thinger.service.httptool
Enum ActionResult.Type

    java.lang.Object
      java.lang.Enum<ActionResult.Type>
          things.thinger.service.httptool.ActionResult.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ActionResult.Type>

Enclosing class:
  ActionResult

    public static enum ActionResult.Type

extends java.lang.Enum<ActionResult.Type>

Enum Constant Summary
`ACTION` Perform another action.
`ERROR` There was an error.
`HEAD` Render headers.
`PAGE` Display the named page.
`QUIET` There is no response.
`SERVE` Serve a file.

Method Summary
`static ActionResult.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ActionResult.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### QUIET

    public static final ActionResult.Type QUIET

  There is no response.

### PAGE

    public static final ActionResult.Type PAGE

  Display the named page. Use getPageResult() to get the page name.

### HEAD

    public static final ActionResult.Type HEAD

  Render headers.

### ACTION

    public static final ActionResult.Type ACTION

  Perform another action. Use getActionResult() to get the action name.

### SERVE

    public static final ActionResult.Type SERVE

  Serve a file.

### ERROR

    public static final ActionResult.Type ERROR

  There was an error.

Method Detail

### values

    public static ActionResult.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ActionResult.Type c : ActionResult.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ActionResult.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.